require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")


--

function Fn_检查当前角色是否已过试炼()
local reuslt=1
	local _升华点数=L升华天赋点()
	if _升华点数==0		then 
		local 地图Ptr=L地图信息()
		L屏蔽下层路口("吉卡尼的機械迷城,感染荒地")
		local 升华试炼任务门票=L背包信息("Metadata/Items/QuestItems/UltimatumKeyQuest")
		if 升华试炼任务门票.ID<=0	and L混沌试炼框是否存在门票()==0	then 
			
		
			if L长时间未移动()>60	and 地图Ptr.地图名称=="龍蜥濕地"	then 
				L地图是否完成(1)
			end 
	
			L信息("当前无试炼门票.前往 龍蜥濕地 获取门票")
			Fn_前往指定地图("龍蜥濕地","龍蜥濕地_BOSS")
			reuslt=0
		else 
			if 地图Ptr.地图名称=="龍蜥濕地"	then 
				L返回城镇()
			end 
		end 
	end 
	return reuslt
end 
function Fn_查找可上去的电梯()
--UltimatumAltar
	local _电梯=L全图对象("UltimatumAltar",1)

	Fn_前往乘坐电梯(2)
	
	if _电梯.X>0	and _电梯.Y>0		then 

		local _附近电梯=L对象门状态(1,10,sz混沌试炼电梯)
		if _附近电梯.ID>0	and _附近电梯.X==_电梯.X  and 	_附近电梯.Y==_电梯.Y	then 
			return 0
		end
		L信息("前往电梯坐标..".._电梯.X.."@@".._电梯.Y)
		L关闭地图探索(1)
		L寻路(_电梯.X,_电梯.Y)
		return 1
		
	else 
		local _电梯2=L周围范围内对象_EX("LiftBlockingUpper","Metadata/Terrain/Gallows/Act3/3_10/Objects/LiftButton*",4)
		if _电梯2.ID>0		then 
			if _电梯2.X>0	and _电梯2.Y>0		then 
				L信息("前往电梯坐标..".._电梯2.X.."@@".._电梯2.Y)
				L寻路(_电梯2.X,_电梯2.Y)
				return 1
			end
		end 
	end
	return 0
end 

function Fn_查找可下去的电梯()
--UltimatumAltar
	local _电梯=L全图对象("UltimatumAltar",0)
	
	Fn_前往乘坐电梯(1)
	-- if _电梯.X>0	and _电梯.Y>0		then 
	-- --	L信息("前往下去的电梯坐标..".._电梯.X.."@@".._电梯.Y)
	-- 	L信息("前往下去的电梯坐标..".._电梯.X.."@@".._电梯.Y)
	-- 	L关闭地图探索(1)
	-- 	L寻路(_电梯.X,_电梯.Y)
	
	-- 	return 1
	-- else 
	
	-- end
	return 0
end 


function Fn_前往升华NPC()
	local _升华NPC=L周围对象("UltimatumTreasureRoomPedestalWave4")
	
	if _升华NPC.ID>0		then 

		if _升华NPC.距离>2.5	then 
			L寻路(_升华NPC.X,_升华NPC.Y)
		else 
			L点击对象(_升华NPC.ID)
			L延时(1000)
			if  g常规设置.升华职业~=""		then 
				L选择升华职业(g常规设置.升华职业)
			else 
				L信息("当前还未在常规设置->练级设置->升华职业 设置你要升华的职业")
			end 
			
		end 
	else 

		Fn_前往模块坐标("混沌试炼出口",1)
	end 
end 
function Q_混沌试炼()
	--混沌試煉

	local 地图Ptr=L地图信息()
	local _自身=L自身信息()
	if _自身.Z>400  or L查询任务描述(G試煉大師的挑戰,"前往下一個房間")==1		then 
	
		if L长时间未移动()>15	then
			L信息("当前路径无法通过")
			L当前地图计时(3)
			L重新加载地图()
		end 
	else
		
		L当前地图计时(3)
	end

	if 地图Ptr.位置==4		then 

		if L开启并进入混沌之门()==2		then 
			L信息("当前缺少混沌试炼门票")
		end 
	elseif 地图Ptr.地图名称==G混沌試煉		then 
		
		if L查询任务描述(G試煉大師的挑戰,"前往下一個房間")==1		then 
			
			if Fn_前往上层电梯()==1		then 
		
				goto Next
			else 
				L关闭地图探索()
			end 

		elseif L查询任务描述(G試煉大師的挑戰,"擊敗所有怪物")==1		then 
			if Fn_前往下层电梯()==1	then 
				goto Next
			end 
			
			local _Monster=L周围怪物()
			if _Monster.ID>0 and _Monster.X>0	and  _Monster.Y>0	then 
			--	L信息("@@".._Monster.X.."@@".._Monster.Y.."@@".._Monster.距离)
				L关闭地图探索(1)
				L寻路(_Monster.X,_Monster.Y)
				--L设置全局坐标(_Monster.X,_Monster.Y,G全局寻路权性)
				goto Next
			end 
			
		elseif L查询任务描述(G試煉大師的挑戰,"收集所有的靈魂核心")==1		then 

	
			Fn_收集灵魂核心()
		
			goto Next
		elseif L查询任务描述(G試煉大師的挑戰,"在倒數結束前存活下來")==1		then 
			if Fn_前往下层电梯()==1	then 
				goto Next
			end 
			local _混沌试炼挑战机关塔=L周围对象(sz混沌试炼挑战机关塔)
			if _混沌试炼挑战机关塔.ID>0		then 
			
				L定点绕圈战斗(_混沌试炼挑战机关塔.X,_混沌试炼挑战机关塔.Y,2)
				L关闭地图探索(1)
			end 
		elseif L查询任务描述(G試煉大師的挑戰,"護送雕像")==1		then 
		
			if Fn_前往下层电梯()==1	then 
				goto Next
			end 
			
			local _护送雕像=L周围对象(sz护送雕像)
			if _护送雕像.ID>0		then 
				L信息("护送雕像中...距离: ".._护送雕像.距离)
				L禁用赶路(1)
				L定点绕圈战斗(_护送雕像.X,_护送雕像.Y,0)
				L关闭地图探索(1)
			end 		

		
		elseif L查询任务描述(G試煉大師的挑戰,"進入挑戰區域")==1	 	then 
			if Fn_前往下层电梯()==1	then 
			
				goto Next
			end 
	
			local _混沌试炼挑战机关塔=L周围对象(sz混沌试炼挑战机关塔)
			if _混沌试炼挑战机关塔.ID>0		then 
				if _混沌试炼挑战机关塔.把手状态==1		then 
					L关闭地图探索(1)
					if _混沌试炼挑战机关塔.距离<4		then 
						L点击对象(_混沌试炼挑战机关塔.ID)
					else 
		
						L寻路(_混沌试炼挑战机关塔.X,_混沌试炼挑战机关塔.Y)
					end 
					goto Next 
				end 
			else 
				Fn_前往BOSS附近()
			end 
		elseif L查询任务描述(G試煉大師的挑戰,"擊敗頭目")==1		then 
			if Fn_前往下层电梯()==1	then 
				goto Next
			end 
			Fn_前往BOSS附近()
	
			L信息("击杀BOSS")
			goto Next

		elseif L查询任务描述(G試煉大師的挑戰,"在血腥圓環中擊殺怪物，將怪物獻給祭壇")==1		then 
			if Fn_前往下层电梯()==1	then 
				goto Next
			end 
			if Fn_血液圈击杀怪物()==1		then 
				goto Next
			end
			
		elseif L查询任务描述(G試煉大師的挑戰,"透過出口離開")==1		then 
			Fn_返回神殿()
		elseif   L查询任务描述(G試煉大師的挑戰,"選擇 1 個詞綴")==1	then 
			Fn_选择试炼状态()
			goto Next

		elseif   L查询任务描述(G試煉大師的挑戰,"試煉完成")==1	then 
		

			if Fn_领取试炼奖励()==0		then 
		
				local _升华剩余点=L升华天赋点()
			
				if _升华剩余点==0		then 
					Fn_前往升华NPC()
				--	Fn_前往模块坐标("混沌试炼出口")
				else 

					if Fn_返回神殿()==0		then 
						L地图是否完成(0)
		
					end
			
				
				end 
			end 
		
		else 
			L关闭地图探索()	
			--L定点绕圈战斗()
		end 
		
	
	else 
	
		Fn_前往选择试炼状态()
	end 
::Next::
end


function Fn_返回神殿()
	local _返回神殿=L机关把手("AreaTransition")
	if _返回神殿.ID>0		then 
		L信息("返回神殿...")
		L关闭地图探索(1)
		if _返回神殿.距离<4		then 
			L点击对象(_返回神殿.ID)
			L地图是否完成(1)
		else 
			L寻路(_返回神殿.X,_返回神殿.Y)
		end 
		return 1
	else
		L信息("前往路口")
		Fn_前往模块坐标("混沌试炼出口")
	end 
	return 0
end 
function Fn_前往BOSS附近()
	local _Boss=L周围BOSS()

	if _Boss.ID>0		then 
		
		if _Boss.隐藏==1	then 
			L关闭地图探索(1)
			L信息("前往BOSS附近")
			L寻路(_Boss.X,_Boss.Y)
		end 
	end 
end 

-- function Fn_开启上层机关()
-- local _自身=L自身信息()
-- 	if _自身.Z>=400		then 

-- 		local _把手=L机关把手(sz混沌试炼把手)
-- 		local _电梯=L对象门状态(1,10,sz混沌试炼电梯)
-- 		local _电梯根把手的距离=0
-- 		if _电梯.ID>0	and _把手.ID>0	then 
-- 			_电梯根把手的距离=L距离(_电梯.X,_电梯.Y,_把手.X,_把手.Y)

-- 		else
-- 			if  _电梯.ID<0		then 
-- 				_电梯根把手的距离=6
-- 			end 
-- 		end 
-- 		L信息("@@".._电梯根把手的距离.."@@".._把手.距离)
-- 		if _电梯根把手的距离>5 and _把手.ID>0	then 
			
-- 			L关闭地图探索(1)
-- 			if _把手.距离<2		then 
			
-- 				L点击对象(_把手.ID)
-- 				L延时(4000)
-- 				L重新加载地图()
-- 			else 
-- 				L寻路(_把手.X,_把手.Y)
			
-- 			end
-- 			return 1
-- 		else 

-- 		end 
-- 	end
-- end 

function Fn_开启上层机关()
local _自身=L自身信息()
	if _自身.Z>=400		then 

		local _把手=L机关把手_高度(400,1000,sz混沌试炼把手)


		L关闭地图探索(1)
		if _把手.ID>0 	then 
		
			if _把手.距离<2		then 
				L点击对象(_把手.ID)
				L延时(4000)
				L重新加载地图()
			else 
				L寻路(_把手.X,_把手.Y)
			end 
		else 
			
		
		end
		return 1

	end
end 

function Fn_检查是否需要开启石板电梯()
	local _自身=L自身信息()
	if _自身.Z>400		then 

		local _混沌试炼石头电梯=L对象门状态(1,20,sz混沌试炼石头电梯) --L对象门状态(sz混沌试炼石头电梯)
		if _混沌试炼石头电梯.ID>0		then 
			local _把手=L机关把手(sz混沌试炼把手)
			if _把手.ID>0  	then 
				L关闭地图探索(1)
				if _把手.距离<2		then 
				
					L点击对象(_把手.ID)
					L延时(1000)
					L点击对象(_把手.ID)
					L延时(1000)
				else 
					
					L寻路(_把手.X,_把手.Y)
				
				end
				return 1
			end 
		end 
	end
	return 0
end
function Fn_前往上层电梯(nType)
nType = nType or 1
local _自身=L自身信息()
	if _自身.Z<400		then 
	
	
		if Fn_查找可上去的电梯()==1		then 
	
			return 1
		end 


		local _把手=L机关把手(sz混沌试炼把手)

		if _把手.ID>0 and _把手.距离<6	 	then 
			L关闭地图探索(1)
			if _把手.距离<2		then 
			
				L点击对象(_把手.ID)
				L延时(1000)
				L点击对象(_把手.ID)
				L延时(1000)
			else 
				
				L寻路(_把手.X,_把手.Y)
			
			end
			return 1
		end 
	else 
	
		if nType==1		then 
			-- local _把手=L机关把手(sz混沌试炼把手)
			-- local _电梯=L对象门状态(1,10,sz混沌试炼电梯)
			-- local _电梯根把手的距离=0
			-- if _电梯.ID>0	and _把手.ID>0	then 
			-- 	_电梯根把手的距离=L距离(_电梯.X,_电梯.Y,_把手.X,_把手.Y)
			-- end 
		
			-- if _电梯根把手的距离>5 	then 
				
			-- 	L关闭地图探索(1)
			-- 	if _把手.距离<2		then 
				
			-- 		L点击对象(_把手.ID)
			-- 		L延时(1000)
			-- 		L点击对象(_把手.ID)
			-- 		L延时(1000)
			-- 	else 
			-- 		L寻路(_把手.X,_把手.Y)
				
			-- 	end
			-- 	return 1
			-- else 

			-- end 
	
			Fn_开启上层机关()
		else 

		end
	end 
	return 0
end 


function Fn_前往下层电梯(nType)
nType = nType or 1
local _自身=L自身信息()
	if _自身.Z>400		then 
	
		if Fn_检查是否需要开启石板电梯()==1	then 
			L信息("需要开启机关打开石板路")
			return 1
		elseif Fn_查找可下去的电梯()==1		then 

			return 1
		else 
	
			
		end 


	else 
	
		Fn_开启上层机关()

	end 
	return 0
end 


function Fn_选择试炼状态()
	local _试炼选择器=L周围对象(sz混沌试炼选择器)
	if _试炼选择器.ID>0	and _试炼选择器.祭坛状态==1		then 
		--金字塔光束
		L试炼选择器(sz优先选择的状态,sz屏蔽选择的状态)
		L设置步骤(G瓦爾靈魂核心道具)
	end
end 
function Fn_领取试炼奖励()
	local _试炼奖励箱子=L机关把手(sz试炼奖励箱子)
	if _试炼奖励箱子.ID>0	then 
		if _试炼奖励箱子.距离>2		then 
	
			L寻路(_试炼奖励箱子.X,_试炼奖励箱子.Y)
		else 
			L点击对象(_试炼奖励箱子.ID)
			L延时(3000)
			return 1
		end 
		L关闭地图探索(1)	
	else 

	end 
	return 0
end 
function Fn_血液圈击杀怪物()
	local _血液圈=L祭坛对象状态(sz血液圈,0)
	if _血液圈.ID>0		then 
		L信息("清楚血圈里的怪物")
		L关闭地图探索(1)
		L定点绕圈战斗(_血液圈.X,_血液圈.Y,2)
		return 1
	end 
	return 0
end 


function Fn_收集灵魂核心()
local _自身=L自身信息()

	local _是否拿取=L自身状态(G瓦爾靈魂核心道具)
	local cur步骤=L返回步骤(G瓦爾靈魂核心道具)
	if _是否拿取==0 and cur步骤<3 and Fn_前往上层电梯(0)==1		then 
		return 0
	end 
	if L执行间隔("去电梯中间1",12*1000)==1	then 

		Fn_前往乘坐电梯(1,2)
	end
--	L信息("@@@".._是否拿取.."@@"..cur步骤)
	if _是否拿取==1	 or cur步骤>=3	then 
		L信息("收集灵魂核心步骤.."..cur步骤.."@"..sz放置灵魂核心道具的盆)
		if cur步骤==0		then 
			local _放置灵魂核心道具的盆=L对象门状态集(-1,100,sz放置灵魂核心道具的盆,0)
			
			if _放置灵魂核心道具的盆.ID>0	and _放置灵魂核心道具的盆.门状态~=2	then 
				L关闭地图探索(1)
				if _放置灵魂核心道具的盆.距离<2	then 
					L点击对象(_放置灵魂核心道具的盆.ID)
				
					_自身=L自身信息()
					if _自身.动作==1		then 
						L翻滚(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y,500)
						L设置步骤(G瓦爾靈魂核心道具,1)
					end 
				else 
					
					--L设置全局坐标(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y,G全局寻路权性)
					L寻路(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y)
				end 
			else 
	
				L设置步骤(G瓦爾靈魂核心道具,1)
			end 
		elseif cur步骤==1		then 	
			local _放置灵魂核心道具的盆=L对象门状态集(-1,100,sz放置灵魂核心道具的盆,1)
			if _放置灵魂核心道具的盆.ID>0	and _放置灵魂核心道具的盆.门状态~=2	then 
				L关闭地图探索(1)
				if _放置灵魂核心道具的盆.距离<2	then 
					L点击对象(_放置灵魂核心道具的盆.ID)
		
					_自身=L自身信息()
					if _自身.动作==1		then 
						L翻滚(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y,500)
						L设置步骤(G瓦爾靈魂核心道具,2)
					end 
				else 
					--L设置全局坐标(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y,G全局寻路权性)
					L寻路(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y)
				end 
			else 
	
				L设置步骤(G瓦爾靈魂核心道具,2)
			end 
		elseif cur步骤==2		then 	
			local _放置灵魂核心道具的盆=L对象门状态集(-1,100,sz放置灵魂核心道具的盆,2)
			if _放置灵魂核心道具的盆.ID>0	and _放置灵魂核心道具的盆.门状态~=2	then 
				L关闭地图探索(1)
				if _放置灵魂核心道具的盆.距离<2	then 
					L点击对象(_放置灵魂核心道具的盆.ID)
		
					_自身=L自身信息()
					if _自身.动作==1		then 
						L翻滚(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y,500)
						L设置步骤(G瓦爾靈魂核心道具,3)
					end 
				else 
					--L设置全局坐标(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y,G全局寻路权性)
					L寻路(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y)
				end 
			else 
	
				L设置步骤(G瓦爾靈魂核心道具,3)
			end 
		elseif cur步骤==3		then 	
			local _放置灵魂核心道具的盆=L对象门状态集(-1,100,sz放置灵魂核心道具的盆,0)
			if _放置灵魂核心道具的盆.ID>0	and _放置灵魂核心道具的盆.门状态~=2	then 
				L关闭地图探索(1)
				if _放置灵魂核心道具的盆.距离<2	then 
					L点击对象(_放置灵魂核心道具的盆.ID)
					L延时(1000)
		
				else 
					--L设置全局坐标(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y,G全局寻路权性)
					L寻路(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y)
				end 
			else 
		
				L设置步骤(G瓦爾靈魂核心道具,4)
			end 
		elseif cur步骤==4		then 	
			local _放置灵魂核心道具的盆=L对象门状态集(-1,100,sz放置灵魂核心道具的盆,1)
			if _放置灵魂核心道具的盆.ID>0	and _放置灵魂核心道具的盆.门状态~=2	then 
				L关闭地图探索(1)
				if _放置灵魂核心道具的盆.距离<2	then 
					L点击对象(_放置灵魂核心道具的盆.ID)
					L延时(1000)
		
				else 
					--L设置全局坐标(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y,G全局寻路权性)
					L寻路(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y)
				end 
			else 
	
				L设置步骤(G瓦爾靈魂核心道具,5)
			end 
		elseif cur步骤==5		then 	
			local _放置灵魂核心道具的盆=L对象门状态集(-1,100,sz放置灵魂核心道具的盆,2)
			if _放置灵魂核心道具的盆.ID>0	and _放置灵魂核心道具的盆.门状态~=2	then 
				L关闭地图探索(1)
				if _放置灵魂核心道具的盆.距离<2	then 
					L点击对象(_放置灵魂核心道具的盆.ID)
					L延时(1000)
		
				else 
					--L设置全局坐标(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y,G全局寻路权性)
					L寻路(_放置灵魂核心道具的盆.X,_放置灵魂核心道具的盆.Y)
				end 
			else 
		
				L设置步骤(G瓦爾靈魂核心道具,6)
			end 			

		else	

			L设置步骤(G瓦爾靈魂核心道具)
		end 

	else 

		local _道具灵魂核心=L对象门状态(1,100,sz试炼道具灵魂核心)
		if _道具灵魂核心.ID>0	then 
			if _道具灵魂核心.距离>1	then 
				L信息("前往灵魂核心道具的路上...")
				L关闭地图探索(1)
				--L设置全局坐标(_道具灵魂核心.X,_道具灵魂核心.Y,G全局寻路权性)
				L寻路(_道具灵魂核心.X,_道具灵魂核心.Y)
			else 
				L点击对象(_道具灵魂核心.ID)
				L延时(1000)
			end 
		
		else 
		
		end 
	end


end 

function Fn_前往乘坐电梯(nstatus,dis)
dis= dis or 3
--LiftBlockingUpper  =1 表示已经到达最上面  =2表示达到最下面
	local _电梯=L对象门状态(nstatus,dis,sz混沌试炼电梯)
	if _电梯.ID>0		then 
		L信息("前往电梯中心...")
		L关闭地图探索(1)
		--L寻路(_电梯.X,_电梯.Y)
		if L执行间隔("走到中间",2000)==1		then 
			L走路(_电梯.X,_电梯.Y)
			L延时(2000)
			L执行间隔("走到中间",1)
		end
	
		return 1

	end 
	return 0
end 
function Fn_前往选择试炼状态()
	L开关进入下层路口(0)
	L屏蔽下层路口(G混沌神殿)
	--Fn_前往模块坐标("混沌试炼石门",0)
	Fn_前往模块坐标("混沌试炼出口",0)
	

end

function Fn_前往混沌试炼(地图Ptr)


	if 地图Ptr.位置~=4	 then
		if L传送点是否激活(G混沌神殿,1)==1        then

			L前往混沌试炼(1,G混沌神殿)
			L信息("前往混沌神殿")

		else 

			L信息("混沌试炼传送点还未激活..")
			if 地图Ptr.位置==2		then 
				Fn_传送到指定章节(3)
			else 
				Fn_前往指定地图(G混沌神殿,"",1)	
			end 
		
		end
	end
end 




L加载配置_一体化()
local 返回一次藏身处=1
local _城镇事件不处理=0
local 使用一次Esc=1
local _前往混沌仓库=0
while	To(100)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if 使用一次Esc==1		then 
		LEsc()
		使用一次Esc=0
	end


	if 地图Ptr.位置==0	 then
		--收到大号提示地图完成
		D重置状态()
		L重置指定事件计数(_缺少地图)
		g回城优先存仓一次=0
		L搜索路口()
		if 	Fn_检查当前角色是否已过试炼()==0		then 
			if	L地图是否完成()~=0			then -- 
				L返回城镇()
			end
			goto Next
		end 
		if 地图Ptr.地图名称~=G混沌試煉		then 
			Fn_前往混沌试炼(地图Ptr)
			goto Next
		end
	
	
		Q_混沌试炼()

			
		L异界是否完成()


		L关闭反击()

		if	L地图是否完成()~=0			then -- 
			L信息("当前执行: => 地图探索完成...")
			if Fn_返回神殿()==0		then 
				if Q_前往异界BOSS复活点回城()==1		then 
					L返回城镇()
				end
			end

			goto Next
		else 
		
		
		end
		--Fn_前往指定地图(G混沌試煉,"混沌试炼石门")	
		
		L设置探索地图(探索类型.异界刷图)
		goto Next


	else 

		if Fn_使用物品("儀式知識之書")==1			then --
			L信息("成功使用知识之书...自动学习祭坛天赋")
			L延时(2000)
		end 

		g全局记录变量.全局记录还未清空=1

		L关闭地图探索()
		if 地图Ptr.位置==2			then --
			返回一次藏身处=1
			if G交易完返回自己藏身处==0 and L自身藏身处()==0			then --
				L返回藏身处()
				
			end
		end 

		if 地图Ptr.位置==3	or 地图Ptr.位置==1			then --
			--if 返回一次藏身处==0		then 
				if L执行间隔("返回藏身处间隔",12*1000)==1	then 
					L信息("返回藏身处")
					L选择藏身处()
				end
		
			--end 
		end


		if 地图Ptr.位置==4	and _前往混沌仓库==1	then 

			if L寻路(357,461)==1		then 
				_前往混沌仓库=0
			end 
			goto Next
		end 
	
		if Fn_读取仓库信息()==0 then
			-- body
			L信息("当前正在读取仓库信息")
			_前往混沌仓库=1
			goto Next
		end

		if g常规设置.公会仓库页最大读取页数>0	and	Fn_读取公会仓库信息()==0 then
			-- body
			L信息("当前正在读取公会仓库信息")
			_前往混沌仓库=1
			goto Next
		end

		

	
	
	
		if	L倒货状态()==0 and Fn_包满回城()==1			then --
			D重置状态()
			L信息("需要处理背包...")
			_城镇事件不处理=1
		end



		if g回城优先存仓一次==0 			then --
			if  Fn_处理存仓()==1	then 
				L信息("优先存入符合存仓且不想鉴定的物品...")
				goto Next
			end
		end 
		
		g回城优先存仓一次=1

		if	Fn_藏身处物品处理()==1			then --
			if 地图Ptr.位置==4		then
		
				L返回藏身处()
			end
			L信息("藏身处物品处理")
			goto Next
		end



		L重置所有事件计数()
		L关闭地图探索(1)
		L关闭反击(1)
		if 	Fn_检查当前角色是否已过试炼()==0		then 
			goto Next
		end 
		Fn_前往混沌试炼(地图Ptr)
		Q_混沌试炼()
	

	end


::Next::
	L设置探索地图(1)
end

